30.4.07

SellABand messes up with Flash... again

Since yesterday, when visiting an artist profile on SellABand, I get this message:
SellABand screenshot
The problem is that:
  • this didn't happen before
  • According to Adobe the latest Flash version is 9,0,31,0 and that's the one I have installed
  • Any other "Flash 9 only" website I go has no problems with my plugin

What's going on? Anyone having this problem besides me? My guess is that this is has something to do with me being using Linux's version of the plugin...